Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPBalanceTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.interfaces.EPPBalanceTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPBalanceTst

extends junit.framework.TestCase

Is a unit test of the `EPPBalance` class to get the account balance and other financial information by sending an EPP balance info command.

Constructor Summary
`EPPBalanceTst(java.lang.String name)` Allocates an `EPPBalanceTst` with a logical name.

Method Summary
`void` | `balanceInfo()` Unit test of `EPPBalance.sendInfo`.
`void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPBalanceTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testBalance()` JUNIT test method to implement for the `EPPBalance` interfaces class.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPBalanceTst

    public EPPBalanceTst(java.lang.String name)

  Allocates an `EPPBalanceTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `name` - Logical name of the test

Method Detail

### testBalance

    public void testBalance()

  JUNIT test method to implement for the `EPPBalance` interfaces class.

### balanceInfo

    public void balanceInfo()

  Unit test of `EPPBalance.sendInfo`.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPBalanceTst`.

  Returns:
    Return the test methods of the `EPPBalanceTst` class.

### handleException

    public void handleException(java.lang.Exception aException)

  Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.

  Parameters:
    `aException` - Exception thrown during test

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - Command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.